declare interface Track {
  id: number
  name: string

  artist: {
    id: number
    name: string
  }

  cover: {
    urls: {
      original: string
    }
  }
}

declare interface User {
  username: string
  full_username: string
}

declare interface Radio {
  id: number
  name: string
  description: string
}

declare interface Podcast {
  name: string
  artist: {
    id: number
    name: string
    modification_date: '2022-09-11'
    cover: {
      urls: {
        original: string
      }
    }
  }
}

declare interface Playlist {
  id: number
  name: string
  user: {
    full_username: string
    username: string
  }
  tracks_count: number
  album_covers: string[]
}

declare interface Artist {
  id: number
  name: string
  tags: string[]
  albums: object[]
  cover: {
    urls: {
      original: string
    }
  }
}

declare interface Album {
  id: number
  name: string
  artist: {
    id: number
    name: string
  }
  tracks: object[]
  cover: {
    urls: {
      original: string
    }
  }
}
